Subject: Re: linux-next: manual merge of the integrity tree with the vfs tree

From: Mimi Zohar <[email-masked]>
Date: Mon, 04 Jan 2016 07:32:28 -0500

On Mon, 2016-01-04 at 16:23 +1100, Stephen Rothwell wrote:
> Hi Mimi,
> 
> On Mon, 04 Jan 2016 00:06:37 -0500 Mimi Zohar <[email-masked]> wrote:
> >
> > On Mon, 2016-01-04 at 03:16 +0000, Al Viro wrote:
> > >
> > > FWIW, I'm going to pull the part that introduces memdup_user_nul() into
> > > a never-rebased branch and if security.git is willing to pull it and handle
> > > that conversion in ima_write_policy() themselves, I'll be only glad to drop
> > > the corresponding chunk in vfs.git#for-next  
> > 
> > As memdup_user_nul() is not in the security tree, it would break the
> > security tree builds.  Having the patch in the linux-integrity/next
> > branch wouldn't help matters.
> 
> I think Al intends for you to merge his "never-rebased branch" that
> contains the memdup_user_nul patch into the integrity tree (or James to
> merge it into the security tree).  He will also merge the same branch
> into his vfs tree and remove the patch that updates ima_write_policy()
> to use memdup_user_nul() and you (or James) could apply that patch in
> the integrity (or security) tree.
> 
> This way we end up with the same commit creating memdup_user_nul() in
> both trees and no left over conflicts.

Thank you for the explanation.  It sounds like a plan.  James, are you
ok with this?

Mimi